<?php

namespace Types;

class Mail_security {
  
  

    // --- Statische Eigenschaften ---
  
  static private $values ;
  static private $valuesShort ;

    // --- Statische Methoden ---
  
  public static function ensureIsLoaded() { 
    
    
    // --- BLOCK: main ---
    
  // Can be called to ensure class is loaded and initialized

    
  }

  public static function toString($x) { 
    
    
    // --- BLOCK: main ---
    return is_null($x) ? '-' : self::$values[$x] ?? $x;
    
  }

  public static function toStringShort($x) { 
    
    
    // --- BLOCK: main ---
    return is_null($x) ? '-' : self::$valuesShort[$x] ?? $x;
    
  }

  public static function parse($x) { 
    
    
    // --- BLOCK: main ---
    
		$result = array_search($x, self::$values);
		if ($result !== false) return $result;
		$result = array_search($x, self::$valuesShort);
		if ($result !== false) return $result;
		return $result;
    
  }

  public static function initialize() { 
    
    
    // --- BLOCK: values ---
    
		self::$values['SSL/TLS'] = _('SSL/TLS');
	self::$values['STARTTLS'] = _('StartTLS');
	self::$values['NONE'] = _('keine');
	
    // --- BLOCK: valuesShort ---
    
		self::$valuesShort['SSL/TLS'] = _('SSL/TLS');
	self::$valuesShort['STARTTLS'] = _('StartTLS');
	self::$valuesShort['NONE'] = _('keine');
	
    
  }


  
  

  
  
}

\Types\Mail_security::initialize(); 

